Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357172 - [abrt] midori: WebCore::BitmapImage::updateSize(WebCore::ImageOrientationDescription) const(): midori killed by SIGSEGV
Summary: [abrt] midori: WebCore::BitmapImage::updateSize(WebCore::ImageOrientationDesc...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: midori
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3e913741d224ba21238a0f69943...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-16 02:48 UTC by Mikhail Yarashevich
Modified: 2017-08-08 15:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:38:22 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-16 02:48 UTC, Mikhail Yarashevich
no flags Details
File: cgroup (deleted)
2016-07-16 02:48 UTC, Mikhail Yarashevich
no flags Details
File: core_backtrace (deleted)
2016-07-16 02:48 UTC, Mikhail Yarashevich
no flags Details
File: dso_list (deleted)
2016-07-16 02:49 UTC, Mikhail Yarashevich
no flags Details
File: environ (deleted)
2016-07-16 02:49 UTC, Mikhail Yarashevich
no flags Details
File: limits (deleted)
2016-07-16 02:49 UTC, Mikhail Yarashevich
no flags Details
File: maps (deleted)
2016-07-16 02:49 UTC, Mikhail Yarashevich
no flags Details
File: mountinfo (deleted)
2016-07-16 02:49 UTC, Mikhail Yarashevich
no flags Details
File: namespaces (deleted)
2016-07-16 02:49 UTC, Mikhail Yarashevich
no flags Details
File: open_fds (deleted)
2016-07-16 02:49 UTC, Mikhail Yarashevich
no flags Details
File: proc_pid_status (deleted)
2016-07-16 02:49 UTC, Mikhail Yarashevich
no flags Details
File: var_log_messages (deleted)
2016-07-16 02:49 UTC, Mikhail Yarashevich
no flags Details
File: exploitable (deleted)
2016-07-16 02:49 UTC, Mikhail Yarashevich
no flags Details

Description Mikhail Yarashevich 2016-07-16 02:48:51 UTC
Version-Release number of selected component:
midori-0.5.11-2.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        midori
crash_function: WebCore::BitmapImage::updateSize(WebCore::ImageOrientationDescription) const
executable:     /usr/bin/midori
global_pid:     3049
kernel:         4.6.3-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WebCore::BitmapImage::updateSize(WebCore::ImageOrientationDescription) const at Source/WebCore/platform/graphics/BitmapImage.cpp:235
 #1 WebCore::BitmapImage::size() const at Source/WebCore/platform/graphics/BitmapImage.cpp:252
 #2 WebCore::MediaPlayerPrivateGStreamerBase::paint(WebCore::GraphicsContext*, WebCore::IntRect const&) at Source/WebCore/platform/graphics/gstreamer/ImageGStreamer.h:59
 #4 WebCore::RenderVideo::paintReplaced(WebCore::PaintInfo&, WebCore::LayoutPoint const&) at Source/WebCore/rendering/RenderVideo.cpp:196
 #5 WebCore::RenderReplaced::paint(WebCore::PaintInfo&, WebCore::LayoutPoint const&) at Source/WebCore/rendering/RenderReplaced.cpp:166
 #6 WebCore::RenderImage::paint(WebCore::PaintInfo&, WebCore::LayoutPoint const&) at Source/WebCore/rendering/RenderImage.cpp:500
 #7 WebCore::RenderLayer::paintForegroundForFragmentsWithPhase(WebCore::PaintPhase, WTF::Vector<WebCore::LayerFragment, 1ul, WTF::CrashOnOverflow> const&, WebCore::GraphicsContext*, WebCore::RenderLayer::LayerPaintingInfo const&, unsigned int, WebCore::RenderObject*) at Source/WebCore/rendering/RenderLayer.cpp:4477
 #8 WebCore::RenderLayer::paintForegroundForFragments(WTF::Vector<WebCore::LayerFragment, 1ul, WTF::CrashOnOverflow> const&, WebCore::GraphicsContext*, WebCore::GraphicsContext*, WebCore::LayoutRect const&, bool, WebCore::RenderLayer::LayerPaintingInfo const&, unsigned int, WebCore::RenderObject*, bool, bool) at Source/WebCore/rendering/RenderLayer.cpp:4441
 #9 WebCore::RenderLayer::paintLayerContents(WebCore::GraphicsContext*, WebCore::RenderLayer::LayerPaintingInfo const&, unsigned int) at Source/WebCore/rendering/RenderLayer.cpp:4162
 #10 WebCore::RenderLayer::paintLayerContentsAndReflection(WebCore::GraphicsContext*, WebCore::RenderLayer::LayerPaintingInfo const&, unsigned int) at Source/WebCore/rendering/RenderLayer.cpp:3858

Comment 1 Mikhail Yarashevich 2016-07-16 02:48:56 UTC
Created attachment 1180335 [details]
File: backtrace

Comment 2 Mikhail Yarashevich 2016-07-16 02:48:58 UTC
Created attachment 1180336 [details]
File: cgroup

Comment 3 Mikhail Yarashevich 2016-07-16 02:48:59 UTC
Created attachment 1180337 [details]
File: core_backtrace

Comment 4 Mikhail Yarashevich 2016-07-16 02:49:02 UTC
Created attachment 1180338 [details]
File: dso_list

Comment 5 Mikhail Yarashevich 2016-07-16 02:49:03 UTC
Created attachment 1180339 [details]
File: environ

Comment 6 Mikhail Yarashevich 2016-07-16 02:49:05 UTC
Created attachment 1180340 [details]
File: limits

Comment 7 Mikhail Yarashevich 2016-07-16 02:49:15 UTC
Created attachment 1180341 [details]
File: maps

Comment 8 Mikhail Yarashevich 2016-07-16 02:49:17 UTC
Created attachment 1180342 [details]
File: mountinfo

Comment 9 Mikhail Yarashevich 2016-07-16 02:49:18 UTC
Created attachment 1180343 [details]
File: namespaces

Comment 10 Mikhail Yarashevich 2016-07-16 02:49:20 UTC
Created attachment 1180344 [details]
File: open_fds

Comment 11 Mikhail Yarashevich 2016-07-16 02:49:21 UTC
Created attachment 1180345 [details]
File: proc_pid_status

Comment 12 Mikhail Yarashevich 2016-07-16 02:49:23 UTC
Created attachment 1180346 [details]
File: var_log_messages

Comment 13 Mikhail Yarashevich 2016-07-16 02:49:24 UTC
Created attachment 1180347 [details]
File: exploitable

Comment 14 Wallace Hermano 2016-10-08 18:57:55 UTC
Similar problem has been detected:

Click to full screen video on strava premium website

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        midori
crash_function: WebCore::BitmapImage::updateSize(WebCore::ImageOrientationDescription) const
executable:     /usr/bin/midori
global_pid:     6760
kernel:         4.7.5-200.fc24.x86_64
package:        midori-0.5.11-2.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         midori killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Fedora End Of Life 2017-07-25 21:50:00 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-08-08 15:38:22 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.